package com.emato.ich.entity.vo;

import org.jetbrains.annotations.NotNull;

/**
 * 预下单后ICSP-SERVER的响应信息
 */
public class PreparedOrderResponseVo {

    private String orderSn;

    private String collectorPhone;

    private String lockerName;

    private String pickUp;

    public String getPickUp() {
        return pickUp;
    }

    public void setPickUp(String pickUp) {
        this.pickUp = pickUp;
    }

    public String getOrderSn() {
        return orderSn;
    }

    public void setOrderSn(String orderSn) {
        this.orderSn = orderSn;
    }

    public String getCollectorPhone() {
        return collectorPhone;
    }

    public void setCollectorPhone(String collectorPhone) {
        this.collectorPhone = collectorPhone;
    }

    public String getLockerName() {
        return lockerName;
    }

    public void setLockerName(String lockerName) {
        this.lockerName = lockerName;
    }

    @NotNull
    @Override
    public String toString() {
        return "PreparedOrderResponseVo{" +
                "orderSn='" + orderSn + '\'' +
                ", collectorPhone='" + collectorPhone + '\'' +
                ", lockerName='" + lockerName + '\'' +
                '}';
    }
}
